<?php

namespace common\logic\Order\OrderStatusHistory\Wrapper;

use common\logic\AbstractContainer;
use common\logic\Order\OrderStatusHistory\Model\OrderStatusHistory;
use common\logic\Order\OrderStatusHistory\Repository\OrderStatusHistoryRepository;
use common\logic\Order\OrderStatusHistory\Service\OrderStatusHistoryBuilder;

class OrderStatusHistoryContainer extends AbstractContainer
{
    public function getEntityFqcn(): string
    {
        return OrderStatusHistory::class;
    }

    public function getServices(): array
    {
        return [
            OrderStatusHistoryRepository::class,
            OrderStatusHistoryBuilder::class
        ];
    }

    public function getRepository(): OrderStatusHistoryRepository
    {
        return OrderStatusHistoryRepository::getInstance();
    }

    public function getBuilder(): OrderStatusHistoryBuilder
    {
        return OrderStatusHistoryBuilder::getInstance();
    }
}